Shop   -   Forums   -   Home   -  
Contact Daz 3D
- Submit a Help Ticket
- Submit a Bug Report

Mailing Address:
224 S 200 W #250
Salt Lake City, UT 84101
Follow

Why do I recieve the error "You cannot open the application because it is not supported on this system" (MAC)?

The reason these installers do not work is because they are for MAC OS9. Converting our older OS9 installers to OSX compatibility is an ongoing process and will take some time to complete. Nearly everything with an IDX of 1600 or above, or with a product code of PS_AN and PS_PE have been updated to be OS X compatible (i.e. V3 Base http://www.daz3d.com/shop.php?op=itemdetails&item=1098) has an IDX of 1098 and a code of ps_pe036). We appreciate your patience in this matter as we update our old installer base for OSX compatibility.

Comments